| Home | Libraries | People | FAQ | More

##### vector_tie

###### Description

Returns the result type of `vector_tie`.

###### Synopsis

    template <typename T0, typename T1,... typename TN>
    struct vector_tie;

The variadic function accepts `0` to `FUSION_MAX_VECTOR_SIZE` elements, where `FUSION_MAX_VECTOR_SIZE` is a user definable predefined maximum that defaults to `10`. You may define the preprocessor constant `FUSION_MAX_VECTOR_SIZE` before including any Fusion header to change the default. Example:

    #define FUSION_MAX_VECTOR_SIZE 20

###### Parameters

Parameter | Requirement | Description
--- | --- | ---
`T0, T1,... TN` | Any type | The arguments to `vector_tie`

###### Expression Semantics

    result_of::vector_tie<T0, T1,... TN>::type;

Return type: `vector`<T0&, T1&,... TN&>

Semantics: Create a `vector` of references from `T0, T1,... TN`.

###### Header

    #include <boost/fusion/container/generation/vector_tie.hpp>
    #include <boost/fusion/include/vector_tie.hpp>

###### Example

    result_of::vector_tie<int, double>::type